Package Details: opengrm-ngram 1.2.1-1

Git Clone URL: https://aur.archlinux.org/opengrm-ngram.git (read-only)
Package Base: opengrm-ngram
Description: OpenGrm tool for making n-gram language models as weighted finite-state transducers
Upstream URL: http://www.opengrm.org/
Licenses: Apache
Submitter: benob
Maintainer: benob
Last Packager: benob
Votes: 1
Popularity: 0.000000
First Submitted: 2012-06-24 20:54
Last Updated: 2015-08-02 08:40

Latest Comments

buggs commented on 2015-07-30 16:56

The LD_LIBRARY_PATH should be handled in openfst.
$ cat /etc/ld.so.conf.d/openfst.conf
/usr/lib/fst

buggs commented on 2015-07-30 16:54

# Maintainer: Benoit Favre <benoit.favre@gmail.com>

pkgname=opengrm-ngram
pkgver=1.2.1
pkgrel=1
pkgdesc="OpenGrm tool for making n-gram language models as weighted finite-state transducers"
arch=('i686' 'x86_64')
url="http://www.opengrm.org/"
license=('APACHE')
depends=('openfst')
source=("http://openfst.cs.nyu.edu/twiki/pub/GRM/NGramDownload/${pkgname}-${pkgver}.tar.gz")
md5sums=('8405ad428c5dd26e8b6fd805500bd00c')


build() {
cd ${srcdir}/${pkgname}-${pkgver}
./configure --prefix=/usr LDFLAGS=-L/usr/lib/fst
make
}

package() {
cd ${srcdir}/${pkgname}-${pkgver}
make DESTDIR=${pkgdir} install
}

benob commented on 2012-08-20 11:04

You need LD_LIBRARY_PATH=/usr/lib/fst for ngram programs to run.